

.ui-control { font-size: 12px; }
.ui-control-disabled { color: #c7c7c7; }



/* CHECKBOX */
.ui-control-checkbox { padding: 8px 0; line-height: 16px; display: flex; align-items: center; }
.ui-control-checkbox .ui-input { margin: 2px 10px 2px 0px; }
.ui-control-checkbox LABEL { cursor: pointer; }
.ui-control-checkbox.ui-control-highlight { color: #705de7; text-decoration: underline; }


/* INPUT */
.ui-control-input { position: relative; }
.ui-control-input .ui-input-wrap { position: relative; }
.ui-control-input .ui-label { display: block; font-size: 12px; color: #777777; line-height: 14px; margin: 18px 0 12px 0; }
.ui-control-input .ui-input { width: 100%; padding: 12px 10px 12px 20px; border: 1px solid #EEEEEE; border-radius: 4px; background-color: #F9F9F9; line-height: 18px; font-size: 14px; box-sizing: border-box; outline: 0; }
.ui-control-input .ui-input-pre-text .ui-input { padding-left: 40px; }
.ui-control-input .ui-pre-text { position: absolute; top: 0; bottom: 0; left: 0; width: 35px; font-size: 12px; color: #777777; display: flex; align-items: center; justify-content: flex-end; pointer-events: none; }
.ui-control-input .ui-input-strong { font-weight: 700; }

.ui-control-input > .clear { position: absolute; top: 50%; right: 12px; width: 20px; height: 20px; transform: translateY(-50%); margin: 0; padding: 0; background-color: transparent; background-image: url(../images/filter-input-icon-clear.svg); background-position: center center; background-repeat: no-repeat; border: 0; outline: 0; cursor: pointer; }
.ui-control-input > .icon { position: absolute; top: 50%; left: 15px; width: 18px; height: 18px; transform: translateY(-50%); background-image: url(../images/filter-input-icon-search.svg); background-position: center center; background-repeat: no-repeat; }
.ui-control-input > .icon-search { background-image: url(../images/filter-input-icon-search.svg); }
.ui-control-input > .icon-date { background-image: url(../images/filter-input-icon-search.svg); }
.ui-control-input > .icon-money { background-image: url(../images/filter-input-icon-search.svg); }

.ui-control-input.icon-hide-on-focus > .clear:active + .ui-input,
.ui-control-input.icon-hide-on-focus .ui-input:focus { padding-left: 20px; border-color: #D8D2FF; }
.ui-control-input.icon-hide-on-focus > .clear:active ~ .icon,
.ui-control-input.icon-hide-on-focus .ui-input:focus ~ .icon { display: none; }

.ui-control-input:is(.input-icon, .input-pre-text) .ui-input { padding-left: 40px; }
.ui-control-input.cleaning .ui-input { padding-right: 35px; }

.ui-control-input.ui-control-highlight .ui-input { border-color: #705de7; }

.ui-control-input-date .ui-input { height: 44px; }

.ui-control-input-number .ui-input::-webkit-outer-spin-button,
.ui-control-input-number .ui-input::-webkit-inner-spin-button { -webkit-appearance: none; margin: 0; }
.ui-control-input-number .ui-input { -moz-appearance: textfield; }

.ui-control-disabled .ui-input,
.ui-control-disabled .ui-input::placeholder { color: #c7c7c7; }
.ui-control-disabled .ui-input { cursor: not-allowed; }


/* DROPDOWN */
.ui-control-dropdown { position: relative; }

.ui-dropdown-control-wrap {}

.ui-dropdown-button { color: #000; width: 100%; padding: 12px 20px; border: 1px solid #EEEEEE; border-radius: 4px; background-color: #F9F9F9; line-height: 16px; font-size: 14px; display: flex; align-items: center; cursor: pointer; }
.ui-dropdown-button-text { display: block; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; margin-right: 5px; max-width: 100%; }
.ui-dropdown-flexible .ui-dropdown-button-text { overflow: initial; text-overflow: initial; }
.ui-control-dropdown:not(.ui-control-disabled) .ui-dropdown-button:hover,
.ui-control-dropdown-open .ui-dropdown-button { border-color: #D8D2FF; color: #6654DA; }
.ui-dropdown-button-icon .ui-dropdown-button-text { max-width: calc(100% - 20px); }
.ui-dropdown-button-icon::after { display: inline-block; content: ''; width: 14px; height: 14px; margin-left: auto; margin-right: 0; background-position: center center; background-repeat: no-repeat; }
.ui-dropdown-button-icon[data-icon=arrow]::after { background-image: url(../images/ui-dropdown-arrow-down.svg); }
.ui-control-dropdown-open .ui-dropdown-button-icon[data-icon=arrow]::after { background-image: url(../images/ui-dropdown-arrow-up.svg); }
.ui-dropdown-button-icon[data-icon=union]::after { background-image: url(../images/ui-dropdown-icon-union.svg); }

.ui-dropdown-button-thin {  background-color: initial; border: initial; }
.ui-dropdown-button-thin.ui-dropdown-button-icon ::after { content: none; }

.ui-dropdown-button[data-button-before]::before { content: attr(data-button-before); margin-left: -10px; width: 12px; margin-right: 5px; }

.ui-control-disabled .ui-dropdown-button { cursor: not-allowed; color: #777777; }
.ui-control-dropdown.ui-control-highlight .ui-dropdown-button { border-color: #705de7 !important; }

.ui-dropdown-flexible *::-webkit-scrollbar { width: 0; }
.ui-dropdown-list-wrap { display: none; position: absolute; background-color: #ffffff; border: 1px solid #EEEEEE; border-radius: 4px; margin-top: 5px; z-index: 100; left: 0; right: 0; box-shadow: 0px 15px 22px -10px rgb(0, 0, 0, .13); /*overflow: hidden;*/ max-height: 70vh; overflow-y: auto; }
.ui-dropdown-flexible .ui-dropdown-list-wrap { min-width: 240px; }
.ui-control-dropdown-open .ui-dropdown-list-wrap { display: block; }

.ui-dropdown-list-wrap { scrollbar-width: thin; }

/*.ui-dropdown-list-wrap::-webkit-scrollbar { width: 12px; }
.ui-dropdown-list-wrap::-webkit-scrollbar-track { background-color: rgb(21, 146, 171); border-radius: 12px; }
.ui-dropdown-list-wrap::-webkit-scrollbar-thumb { background-color: rgb(31, 125, 2); border-radius: 12px; }*/




.ui-dropdown-list { display: block; margin: 0; padding: 0; list-style: none; width: 100%; }
.ui-dropdown-item {}
.ui-dropdown-item-wrap { display: flex; align-items: center; padding: 12px 20px; cursor: pointer; }
.ui-dropdown-item-wrap A { text-decoration: none; color: #333333; }
.ui-dropdown-item-wrap A:hover { text-decoration: underline; }

.ui-dropdown-nested-item .ui-dropdown-item-wrap { padding: initial; }

/*.ui-dropdown-item > SPAN,
.ui-dropdown-item > A { display: flex; align-items: center; padding: 12px 20px; cursor: pointer; }
.ui-dropdown-item > A { text-decoration: none; color: #333333; }
.ui-dropdown-item > A:hover { text-decoration: underline; }*/
.ui-dropdown-item:not(:first-child) { border-top: 1px solid #EEEEEE; }
.ui-dropdown-item:hover,
.ui-dropdown-item-selected { background-color: #F9F9F9; }
.ui-dropdown-item-selected,
.ui-dropdown-item-nested-open { font-weight: 700; }





.ui-dropdown-input { font-size: 12px; position: relative; }

.ui-dropdown-input-search { width: 100%; padding: 12px 10px 12px 20px; border: 1px solid #EEEEEE; border-radius: 4px; background-color: #F9F9F9; line-height: 18px; font-size: 14px; box-sizing: border-box; outline: 0; }
.ui-dropdown-input-search:disabled,
.ui-dropdown-input-search:disabled::placeholder { color: #c7c7c7; }

.ui-dropdown-use-icon-search .ui-dropdown-input-search { padding-left: 40px; }
.ui-dropdown-input-clear + .ui-dropdown-input-search { padding-right: 35px; }
.ui-dropdown-input-clear { position: absolute; top: 50%; right: 12px; width: 20px; height: 20px; transform: translateY(-50%); margin: 0; padding: 0; background-color: transparent; background-image: url(../images/ui-dropdown-icon-clear.svg); background-position: center center; background-repeat: no-repeat; border: 0; outline: 0; cursor: pointer; }
.ui-dropdown-icon-search { position: absolute; top: 50%; left: 15px; width: 18px; height: 18px; transform: translateY(-50%); background-image: url(../images/ui-dropdown-icon-search.svg); background-position: center center; background-repeat: no-repeat; }

.ui-dropdown-input-clear:active + .ui-dropdown-input-search,
.ui-dropdown-input-search:focus { border-color: #D8D2FF; }
.ui-dropdown-input-clear:active + .ui-dropdown-input-search,
.ui-dropdown-hide-icon-on-focus > .ui-dropdown-input-search:focus { padding-left: 20px; }
.ui-dropdown-hide-icon-on-focus > .ui-dropdown-input-clear:active ~ .ui-dropdown-icon-search,
.ui-dropdown-hide-icon-on-focus > .ui-dropdown-input-search:focus ~ .ui-dropdown-icon-search { display: none; }

.ui-dropdown-input-search::-webkit-outer-spin-button,
.ui-dropdown-input-search::-webkit-inner-spin-button { -webkit-appearance: none; margin: 0; }
.ui-dropdown-input-search { -moz-appearance: textfield; }




.ui-dropdown-nested-list { display: none; background-color: #ffffff; border-top: 1px solid #eeeeee; padding: 12px 10px 12px 20px; }
.ui-dropdown-item-nested-open .ui-dropdown-nested-list { display: block; }
.ui-dropdown-nested-item { display: flex; flex-direction: column; font-size: 13px; font-weight: 400; }
.ui-dropdown-nested-item > * { margin: 7px 0; }
.ui-dropdown-nested-item A { text-decoration: none; color: #777777; cursor: pointer; }
/*.ui-dropdown-nested-item A:hover,*/
.ui-dropdown-item-nested-open { cursor: default; }
.ui-dropdown-nested-item A:not(.ui-dropdown-item-nested-open):hover { text-decoration: underline; }

.ui-dropdown-item-nested > .ui-dropdown-item-wrap::after { display: inline-block; content: ''; width: 7px; height: 10px; margin-left: 5px; background-position: center center; background-repeat: no-repeat; background-image: url(../images/ui-dropdown-arrow-right.svg); margin-right: 0; margin-left: auto; }
.ui-dropdown-item-nested-open > .ui-dropdown-item-wrap::after { width: 10px; height: 6px; background-image: url(../images/ui-dropdown-arrow-down.svg); }

.ui-dropdown-nested-item-selected,
.ui-dropdown-nested-item-selected .ui-dropdown-item-wrap { color: #6654DA; cursor: default; }

.ui-control-disabled .ui-dropdown-input-search { cursor: not-allowed; }
.ui-control-disabled .ui-dropdown-input-clear { display: none; }



.ui-control-button { position: relative; }
.ui-control-button .ui-button { color: #000000; width: 100%; padding: 12px 20px; border: 1px solid #EEEEEE; border-radius: 4px; background-color: #F9F9F9; line-height: 18px; font-size: 14px; display: flex; align-items: center; min-height: 44px; }
.ui-control-button .ui-button-content { display: block; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; margin-right: 5px; }
.ui-control-button .ui-button:not(:disabled) { cursor: pointer; }
.ui-control-button .ui-button:disabled { cursor: not-allowed; }
.ui-control-button .ui-button:not(:disabled):hover,
.ui-control-button-open .ui-button { border-color: #D8D2FF; color: #6654DA; }
.ui-control-button .ui-button-icon::after { display: inline-block; content: ''; width: 14px; height: 14px; margin-left: auto; margin-right: 0; background-position: center center; background-repeat: no-repeat; }
.ui-control-button .ui-button-icon-filter::after { background-image: url(../images/ui-icon-filter.svg); }
.ui-control-button .ui-button-icon-info::after { background-image: url(../images/ui-icon-info.svg); }
.ui-control-button .ui-button-icon-search::after { background-image: url(../images/ui-icon-search.svg); }
